org.wildfly.swarm.config.elytron

## Class ProviderLoader<T extends ProviderLoader<T>>

- java.lang.Object
- - org.wildfly.swarm.config.elytron.ProviderLoader<T>

-     public class ProviderLoader<T extends ProviderLoader<T>>
      extends Object

  A definition for a Provider loader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProviderLoader(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `argument()` An argument to be passed into the constructor as the Provider is instantiated.
    `T` | `argument(String value)` An argument to be passed into the constructor as the Provider is instantiated.
    `T` | `className(String value)` The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.
    `List<String>` | `classNames()` The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.
    `T` | `classNames(List<String> value)` The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.
    `T` | `classNames(String... args)` The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.
    `Map` | `configuration()` The key/value configuration to be passed to the Provider to initialise it.
    `T` | `configuration(Map value)` The key/value configuration to be passed to the Provider to initialise it.
    `T` | `configuration(String key, Object value)` The key/value configuration to be passed to the Provider to initialise it.
    `String` | `getKey()`
    `T` | `loadedProvider(Map value)` The list of providers loaded by this provider loader.
    `List<Map>` | `loadedProviders()` The list of providers loaded by this provider loader.
    `T` | `loadedProviders(List<Map> value)` The list of providers loaded by this provider loader.
    `T` | `loadedProviders(Map... args)` The list of providers loaded by this provider loader.
    `String` | `module()` The name of the module to load the provider from.
    `T` | `module(String value)` The name of the module to load the provider from.
    `String` | `path()` The path of the file to use to initialise the providers.
    `T` | `path(String value)` The path of the file to use to initialise the providers.
    `String` | `relativeTo()` The base path of the configuration file.
    `T` | `relativeTo(String value)` The base path of the configuration file.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProviderLoader

          public ProviderLoader(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### loadedProviders

          public List<Map> loadedProviders()

      The list of providers loaded by this provider loader.

    - #### loadedProviders

          public T loadedProviders(List<Map> value)

      The list of providers loaded by this provider loader.

    - #### loadedProvider

          public T loadedProvider(Map value)

      The list of providers loaded by this provider loader.

    - #### loadedProviders

          public T loadedProviders(Map... args)

      The list of providers loaded by this provider loader.

    - #### classNames

          public List<String> classNames()

      The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.

    - #### classNames

          public T classNames(List<String> value)

      The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.

    - #### className

          public T className(String value)

      The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.

    - #### classNames

          public T classNames(String... args)

      The fully qualified class names of the providers to load, these are loaded after the service-loader discovered providers and duplicates will be skipped.

    - #### module

          public String module()

      The name of the module to load the provider from.

    - #### module

          public T module(String value)

      The name of the module to load the provider from.

    - #### argument

          public String argument()

      An argument to be passed into the constructor as the Provider is instantiated.

    - #### argument

          public T argument(String value)

      An argument to be passed into the constructor as the Provider is instantiated.

    - #### configuration

          public Map configuration()

      The key/value configuration to be passed to the Provider to initialise it.

    - #### configuration

          public T configuration(Map value)

      The key/value configuration to be passed to the Provider to initialise it.

    - #### configuration

          public T configuration(String key,
                                 Object value)

      The key/value configuration to be passed to the Provider to initialise it.

    - #### path

          public String path()

      The path of the file to use to initialise the providers.

    - #### path

          public T path(String value)

      The path of the file to use to initialise the providers.

    - #### relativeTo

          public String relativeTo()

      The base path of the configuration file.

    - #### relativeTo

          public T relativeTo(String value)

      The base path of the configuration file.

Copyright © 2017 JBoss by Red Hat. All rights reserved.